Description

There are URLs that launch 3rd party application when clicked on in the browser.

Redmine's wiki doesn't convert them into clickable link.

Example:

ea:1|50194|1|1607 3

converted to

<a href="ea:1|50194|1|1607%203">Document X</a>

launches application called EasyArchive and shows document identified by the numbers following ea:.    

Maybe feature #2084 can fix this problem, since there is no simple conclusion how such links in general can be distinguished from

regular text.

Related issues:

Related to Redmine - Feature #2084: Customizable "protocols" to generate exte... New 2008-10-24

History

#1 - 2009-03-11 20:04 - Jean-Philippe Lang

I can't see why you entered this as a defect and I don't see what differs from #2084.

Please help me.

#2 - 2009-03-11 20:58 - Richard Pecl

I have marked this as defect since something like ea:1|50194|1|1607%203 is regular URL handled by browsers. So when I enter in the Wiki text like

ea:1|50194|1|1607%203

or

"Link to document":ea:1|50194|1|1607%203

 it should be formatted to

<a href="ea:1|50194|1|1607%203" class="external">ea:1|50194|1|1607%203</a>

or

<a href="ea:1|50194|1|1607%203" class="external">Link to document</a>

 like all other http:// ftp:// links are.

So in general the formatter should recognize not only /https?:\/\/.*/ and /ftps?:\/\/.*/ links, but also /\w+:.*/ links.

#2084 can solve this issue, but as a workaround (and with much more coding work).
#3 - 2009-03-11 21:08 - Richard Pecl

Perhaps it could be marked as Feature request if you consider parsing such type of links as new functionality.

#4 - 2009-03-12 19:06 - Jean-Philippe Lang

- Tracker changed from Defect to Feature
